/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LGUI_WINDOW
#define LGUI_WINDOW

#include "widget.h"

int lgui_window_new(lua_State* L);
int lgui_window_add_accel_group(lua_State* L);
int lgui_window_remove_accel_group(lua_State* L);
int lgui_window_maximize(lua_State* L);
int lgui_window_unmaximize(lua_State* L);
int lgui_window_fullscreen(lua_State* L);
int lgui_window_unfullscreen(lua_State* L);
int lgui_window_iconify(lua_State* L);
int lgui_window_deiconify(lua_State* L);
int lgui_window_destroy(lua_State* L);
int lgui_window_resize(lua_State* L);
int lgui_window_move(lua_State* L);
int lgui_window_present(lua_State* L);

#endif
