#!/usr/bin/env lua

--[[
	Tests callback connection / disconnection.
--]]

require("lgui")

local label = lgui.Label.new("mylabel")
local id

for i = 1, 200000 do
	if id then
		label:disconnect(id)
	end
	
	id = label:connect("notify::label", function(a) print("a") end, {})
end

print("End.")

if arg[1] == "mem" then
	-- Pause to manually check the memory use
	io.read("*n")
end
