/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifdef HAVE_GLADE
#ifndef LGUI_GLADE
#define LGUI_GLADE

#include "lgui.h"
#include <glade/glade.h>

/**
 * Loads a XML with the GUI data.
 */
int lgui_glade_xml_new(lua_State* L);

/**
 * Loads a XML (from a string buffer) with the GUI data.
 */
int lgui_glade_xml_new_from_buffer(lua_State* L);

/**
 * Loads Widgets from a Glade Object.
 */
int lgui_glade_xml_get_widget(lua_State* L);

#endif
#endif
