/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LGUI_INTERFACE
#define LGUI_INTERFACE

#ifdef HAVE_GLADE
#include "glade.h"
#endif

#include "statusicon.h"
#include "clipboard.h"
#include "tooltip.h"
#include "action.h"
#include "recent.h"
#include "screen.h"
#include "builder.h"
#include "accel.h"
#include "color.h"
#include "pixbuf.h"
#include "widget.h"
#include "calendar.h"
#include "combobox.h"
#include "toolbar.h"
#include "statusbar.h"
#include "label.h"
#include "static.h"
#include "editable.h"
#include "entry.h"
#include "text.h"
#include "container.h"
#include "box.h"
#include "table.h"
#include "window.h"
#include "button.h"
#include "menu.h"
#include "dialog.h"
#include "notebook.h"
#include "scale.h"
#include "dnd.h"
#include "gdk.h"
#include "pango.h"
#include "print.h"
#include "assistant.h"
#include "cell.h"
#include "sizegroup.h"
#include "iconview.h"

/* TreeView and friends */

#include "treemodel.h"
#include "treesortable.h"
#include "treemodelsort.h"
#include "treemodelfilter.h"
#include "treeselection.h"
#include "liststore.h"
#include "treestore.h"
#include "treeview.h"
#include "proxylist.h"

int luaopen__lgui(lua_State *L);

#endif
