/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/

#ifndef LGUI_SCREEN
#define LGUI_SCREEN

#include "lgui.h"

int lgui_screen_get_default(lua_State* L);
int lgui_screen_is_composited(lua_State* L);
int lgui_screen_get_number(lua_State* L);
int lgui_screen_get_size(lua_State* L);
int lgui_screen_get_n_monitors(lua_State* L);

#endif
