/*
	This file is part of lgui.

	lgui is free software: you can redistribute it and/or modify
	it under the terms of the GNU Lesser General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	lgui is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public License
	along with lgui.  If not, see <http://www.gnu.org/licenses/>.
    
    Copyright (C) 2008 Lucas Hermann Negri
*/


#ifndef LGUI_TREESTORE
#define LGUI_TREESTORE

#include "treemodel.h"

int lgui_tree_store_new(lua_State* L);
int lgui_tree_store_insert(lua_State* L);
int lgui_tree_store_append(lua_State* L);
int lgui_tree_store_prepend(lua_State* L);
int lgui_tree_store_clear(lua_State* L);
int lgui_tree_store_swap(lua_State* L);
int lgui_tree_store_set(lua_State* L);
int lgui_tree_store_seto(lua_State* L);
int lgui_tree_store_remove(lua_State* L);
int lgui_tree_store_move_before(lua_State* L);
int lgui_tree_store_move_after(lua_State* L);

#endif
